from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XProtectable(XInterface, Protocol):
    def protect(self, aPassword: str) -> None: ...
    def isProtected(self) -> bool: ...
